using System;
using System.Collections.Generic;
using System.Text;

namespace FormulaEditor
{
    public class ArraySingleDetector : IOperationDetector
    {
        static public readonly ArraySingleDetector Object = new ArraySingleDetector();

        private ArraySingleDetector()
        {
        }
        #region IOperationDetector Members

        public IOperationAcceptor Detect(MathSymbol s)
        {
            if (s is SimpleSymbol)
            {
                SimpleSymbol ss = s as SimpleSymbol;
                if (s.Symbol == '\u2211')
                {
                    return new ArraySingleOperationAcceptor(ArraySingleOperationType.Sum);
                }
            }
            return null;
        }

        #endregion
    }
}
